BEGIN ~TCSLCREW~

IF ~Global("TCSlaverRollBones","TC1000",0) AreaCheck("TC1000")~ THEN BEGIN RolltheBones
  SAY ~Hey, Tiny!  Get finished then get in here.  We got some bones to throw.~
  IF ~~ THEN DO ~SetGlobal("TCSlaverRollBones","TC1000",1) EscapeArea()~ EXTERN ~TCSLTINY~ TinyRoll
END

APPEND ~TCSLTINY~

IF ~~ THEN BEGIN TinyRoll
  SAY ~Duh... okay.  You slaves stay here.~
  IF ~~ THEN DO ~MoveToObject("Tran1007") EscapeArea()~ EXIT
END
END
